export class HttpError extends Error {
	constructor(message, httpCode, friendlyMessage, data) {
		super(message);

		this.name = 'HttpError';
		this.httpCode = httpCode;

		if (friendlyMessage) {
			this.friendlyMessage = friendlyMessage;
		}

		if (data) {
			this.data = data;
		}
	}
}
